Path parameters

  • channelLinkId string Required
application/json

Body

  • email string

    email of the end customer

  • phoneNumber string

    phone number of the end customer in E164 format

  • firstName string

    first name of the end customer

  • lastName string

    last name of the end customer

  • dateOfBirth string

    date of birth of the end customer in ISO format

Responses

  • 200 application/json

    200

    One of:
  • 400 application/json

    400

    Hide response attributes Show response attributes object
    • error string
    • http_code integer

      Default value is 0.

    • description string
POST /loyalty/{channelLinkId}/customer
curl \
 --request POST 'https://api.staging.deliverect.com/loyalty/{channelLinkId}/customer' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"email":"string","phoneNumber":"string","firstName":"string","lastName":"string","dateOfBirth":"string"}'
Request examples
{
  "email": "string",
  "phoneNumber": "string",
  "firstName": "string",
  "lastName": "string",
  "dateOfBirth": "string"
}
Response examples (200)
{
  "tier": null,
  "email": "john.doe@email.com",
  "lastName": "Doe",
  "firstName": "John",
  "providerId": "68964",
  "dateOfBirth": "1970-01-01T00:00:00.000000+00:00",
  "phoneNumber": "+32411222333",
  "lifetimePointsBalance": 0
}
{
  "tier": {
    "name": "Bronze",
    "media": {
      "url": "https://deliverect.com/image.png",
      "mediaType": "image",
      "requirements": {
        "maxLifetimePoints": 1000,
        "minLifetimePoints": 0
      }
    },
    "description": "This is a bronze tier"
  },
  "email": "john.doe@email.com",
  "status": "active",
  "lastName": "Doe",
  "firstName": "John",
  "providerId": "234567",
  "dateOfBirth": "1970-01-01T00:00:00.000000+00:00",
  "phoneNumber": "+32411222333",
  "lifetimePointsBalance": 0
}
Response examples (400)
{
    "error": "no active loyalty profile found",
    "http_code": 400,
    "description": "no active loyalty profile found"
}